require 'active_support/core_ext/hash'

class XmlStateFilter
  STATUS_COMPLETE = "complete"
  STATUS_FAILED = "failed"
  STATUS_ERROR = "error"

  def filter(inputs, outputs)
    xml_hash= Hash.from_xml(inputs['xml_response'])

    statuscode = xml_hash["mamResponse"]["responseContext"]["statusCode"]

    outputs['statusCode']=statuscode

    if statuscode == 'SUCCESS'
      @status = STATUS_COMPLETE
    elsif statuscode == 'FAILED'
      @status = STATUS_FAILED
    else
      @status = STATUS_ERROR
    end
  end
end